Résolution en lot de codes IMB
curl --request POST \
--url https://partner.urbanora.fr/v1/imb/batch \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"codes": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({codes: ['<string>']})
};
fetch('https://partner.urbanora.fr/v1/imb/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"requested": 123,
"found": [
{
"imb_code": "<string>",
"eligibilite": [
{
"imb_code": "<string>",
"code_operateur": "<string>",
"code_techno": "<string>",
"classe_debit_descendant": "<string>",
"classe_debit_montant": "<string>",
"limitation": "<string>",
"saturation": "<string>"
}
],
"imb_id": "<string>",
"imb_code_insee": "<string>",
"imb_nbr_logloc": "<string>",
"imb_source": "<string>",
"imb_type": "<string>",
"addr_numero": "<string>",
"addr_rep": "<string>",
"addr_nom_voie": "<string>",
"addr_nom_commune": "<string>",
"imb_etat": "<string>",
"pm_etat": "<string>",
"pm_ref": "<string>",
"pm_date_mad": "<string>",
"oi_code": "<string>",
"arcep_millesime": "<string>"
}
],
"not_found": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}imb
Résolution en lot de codes IMB
Jusqu’à 1000 codes. Encode chaque code IMB (slashes).
POST
/
v1
/
imb
/
batch
Résolution en lot de codes IMB
curl --request POST \
--url https://partner.urbanora.fr/v1/imb/batch \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"codes": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({codes: ['<string>']})
};
fetch('https://partner.urbanora.fr/v1/imb/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"requested": 123,
"found": [
{
"imb_code": "<string>",
"eligibilite": [
{
"imb_code": "<string>",
"code_operateur": "<string>",
"code_techno": "<string>",
"classe_debit_descendant": "<string>",
"classe_debit_montant": "<string>",
"limitation": "<string>",
"saturation": "<string>"
}
],
"imb_id": "<string>",
"imb_code_insee": "<string>",
"imb_nbr_logloc": "<string>",
"imb_source": "<string>",
"imb_type": "<string>",
"addr_numero": "<string>",
"addr_rep": "<string>",
"addr_nom_voie": "<string>",
"addr_nom_commune": "<string>",
"imb_etat": "<string>",
"pm_etat": "<string>",
"pm_ref": "<string>",
"pm_date_mad": "<string>",
"oi_code": "<string>",
"arcep_millesime": "<string>"
}
],
"not_found": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}Autorisations
Clé API partenaire (upk_live_… / upk_test_…). Alias MCP : Authorization: Bearer upk_….
Corps
application/json
Required array length:
1 - 1000 elements⌘I